org.h2gis.functions.spatial.create

## Class ST_RingBuffer

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.spatial.create.ST_RingBuffer

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_RingBuffer
    extends org.h2gis.api.AbstractFunction
    implements org.h2gis.api.ScalarFunction

Compute a ring buffer around a geometry.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_RingBuffer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static com.vividsolutions.jts.geom.Geometry` `computeNegativeRingBuffer(com.vividsolutions.jts.geom.Geometry geom, double bufferDistance, int numBuffer, com.vividsolutions.jts.operation.buffer.BufferParameters bufferParameters, boolean doDifference)` Compute a ring buffer with a negative offset
`static com.vividsolutions.jts.geom.Geometry` `computePositiveRingBuffer(com.vividsolutions.jts.geom.Geometry geom, double bufferDistance, int numBuffer, com.vividsolutions.jts.operation.buffer.BufferParameters bufferParameters, boolean doDifference)` Compute a ring buffer with a positive offset
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `ringBuffer(com.vividsolutions.jts.geom.Geometry geom, double bufferSize, int numBuffer)` Compute a ring buffer around a geometry
`static com.vividsolutions.jts.geom.Geometry` `ringBuffer(com.vividsolutions.jts.geom.Geometry geom, double bufferDistance, int numBuffer, String parameters)`
`static com.vividsolutions.jts.geom.Geometry` `ringBuffer(com.vividsolutions.jts.geom.Geometry geom, double bufferDistance, int numBuffer, String parameters, boolean doDifference)` Compute a ring buffer around a geometry
`static com.vividsolutions.jts.geom.Geometry` `runBuffer(com.vividsolutions.jts.geom.Geometry geom, double bufferSize, com.vividsolutions.jts.operation.buffer.BufferParameters bufferParameters)` Calculate the ring buffer

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_RingBuffer

    public ST_RingBuffer()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

#### ringBuffer

    public static com.vividsolutions.jts.geom.Geometry ringBuffer(com.vividsolutions.jts.geom.Geometry geom,
                                                                  double bufferSize,
                                                                  int numBuffer)
                                                           throws SQLException

Compute a ring buffer around a geometry

Parameters:
  `geom` -
  `bufferSize` -
  `numBuffer` -
Returns:
Throws:
  `SQLException`

#### ringBuffer

    public static com.vividsolutions.jts.geom.Geometry ringBuffer(com.vividsolutions.jts.geom.Geometry geom,
                                                                  double bufferDistance,
                                                                  int numBuffer,
                                                                  String parameters)
                                                           throws SQLException

Parameters:
  `geom` -
  `bufferDistance` -
  `numBuffer` -
  `parameters` -
Returns:
Throws:
  `SQLException`

#### ringBuffer

    public static com.vividsolutions.jts.geom.Geometry ringBuffer(com.vividsolutions.jts.geom.Geometry geom,
                                                                  double bufferDistance,
                                                                  int numBuffer,
                                                                  String parameters,
                                                                  boolean doDifference)
                                                           throws SQLException

Compute a ring buffer around a geometry

Parameters:
  `geom` -
  `bufferDistance` -
  `numBuffer` -
  `parameters` -
  `doDifference` -
Returns:
Throws:
  `SQLException`

#### computePositiveRingBuffer

    public static com.vividsolutions.jts.geom.Geometry computePositiveRingBuffer(com.vividsolutions.jts.geom.Geometry geom,
                                                                                 double bufferDistance,
                                                                                 int numBuffer,
                                                                                 com.vividsolutions.jts.operation.buffer.BufferParameters bufferParameters,
                                                                                 boolean doDifference)
                                                                          throws SQLException

Compute a ring buffer with a positive offset

Parameters:
  `geom` -
  `bufferDistance` -
  `numBuffer` -
  `bufferParameters` -
  `doDifference` -
Returns:
Throws:
  `SQLException`

#### computeNegativeRingBuffer

    public static com.vividsolutions.jts.geom.Geometry computeNegativeRingBuffer(com.vividsolutions.jts.geom.Geometry geom,
                                                                                 double bufferDistance,
                                                                                 int numBuffer,
                                                                                 com.vividsolutions.jts.operation.buffer.BufferParameters bufferParameters,
                                                                                 boolean doDifference)
                                                                          throws SQLException

Compute a ring buffer with a negative offset

Parameters:
  `geom` -
  `bufferDistance` -
  `numBuffer` -
  `bufferParameters` -
  `doDifference` -
Returns:
Throws:
  `SQLException`

#### runBuffer

    public static com.vividsolutions.jts.geom.Geometry runBuffer(com.vividsolutions.jts.geom.Geometry geom,
                                                                 double bufferSize,
                                                                 com.vividsolutions.jts.operation.buffer.BufferParameters bufferParameters)
                                                          throws SQLException

Calculate the ring buffer

Parameters:
  `geom` -
  `bufferSize` -
  `bufferParameters` -
Returns:
Throws:
  `SQLException`